%define oname trigger
%define Summary Rally racing game
%define name %{oname}-rally
%define version 0.6.0
%define release %mkrel 1

%define distname %{oname}-%{version}-src

Summary: %{Summary}
Summary(de): Rally Rennspiel
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://downloads.sourceforge.net/trigger-rally/%{name}-%{version}-src.tar.xz
Source1: %{name}.png
Patch0: trigger-0.5.2.1-nodoc.patch
License: GPL
Group: Games/Arcade
Url: http://sourceforge.net/projects/trigger-rally/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: automake1.8
BuildRequires: jam
BuildRequires: SDL-devel
BuildRequires: SDL_image-devel
BuildRequires: freealut-devel
BuildRequires: glew-devel 
BuildRequires: mesagl-devel 
BuildRequires: mesaglut-devel 
BuildRequires: mesaglu-devel
BuildRequires: openal-devel
BuildRequires: physfs-devel
Requires: %{name}-data
Requires:	openal
Requires:	%{_lib}openal1

%description
Trigger is a fast-paced open source rally racing game.

%description -l de
Trigger ist ein flottes Open Source Rally Rennspiel.

%prep
%setup -q -n %{name}-%{version}-src
%patch0 -p1 -b .nodoc

%build
%configure2_5x --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}/%{oname}
jam

%install
rm -rf %{buildroot}
DESTDIR=%{buildroot} jam install
# only contains .a files
rm -rf %{buildroot}%{_libdir}

install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/icons/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Trigger Rally
Comment=%{Summary}
Comment[de]=Ein Rally Rennspiel
Exec=soundwrapper %{_gamesbindir}/%{oname}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_gamesbindir}/%{oname}
%{_datadir}/icons/%{name}.png
%{_datadir}/applications/%{name}.desktop



%changelog
* Tue Feb 28 2012 Neal <nealbrks0 at gmail dot com> 0.6.0-1pclos2012
- process

* Sun Feb 26 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.6.0-1pclos2012
- 0.6.0
- added german summary, description and comment in dektop file section
- added %{_lib} macro for 64bit
- little name changes for new folder names in source


* Wed May 19 2010 pcserver <pcserver at inbox.com> 0.5.2.1-3pclos2010
- rebuild against updated openal

